package com.fjhx.sale.service.serviceContract;

import com.fjhx.sale.entity.serviceContract.po.ServiceContract;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.serviceContract.vo.ServiceContractVo;
import com.fjhx.sale.entity.serviceContract.dto.ServiceContractSelectDto;
import com.fjhx.sale.entity.serviceContract.dto.ServiceContractDto;

import java.util.Map;


/**
 * <p>
 * 服务合同表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface ServiceContractService extends BaseService<ServiceContract> {

    /**
     * 服务合同表分页
     */
    Page<ServiceContractVo> getPage(ServiceContractSelectDto dto);

    /**
     * 服务合同表明细
     */
    ServiceContractVo detail(Long id);

    /**
     * 服务合同表新增
     */
    void add(ServiceContractDto serviceContractDto);

    /**
     * 服务合同表编辑
     */
    void edit(ServiceContractDto serviceContractDto);

    /**
     * 服务合同表删除
     */
    void delete(Long id);

    /**
     * 服务合同统计（根据归属公司）
     */
    Map<String, Object> serviceContractStatistics(ServiceContractDto serviceContractDto);
}
